// out: ../css/header-component.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// variables & mixings
@import 'variables';

// fonts
@font-face {
  font-family: "sourcesans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.svg#sourcesans-regular") format("svg");
}

@font-face {
  font-family: "sourcesans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.svg#sourcesans-semibold") format("svg");
}

@font-face {
  font-family: "sourcesans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.svg#sourcesans-bold") format("svg");
}

@font-face {
  font-family: "sourcesans-light";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.svg#sourcesans-light") format("svg");
}

@font-face {
  font-family: "opensans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.svg#opensans-regular") format("svg");
}

@font-face {
  font-family: "opensans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.svg#opensans-semibold") format("svg");
}

@font-face {
  font-family: "opensans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.svg#opensans-bold") format("svg");
}

@font-face {
  font-family: "cern-icons";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.eot?") format("eot"), url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff2") format("woff2"), url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff") format("woff"), url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.ttf") format("truetype"), url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.svg#cern-icons") format("svg");
}

//
//* ****************************************** divisions component */
.component-row__display__fluid {
  .cern-component-header-blocks {
    .component-header__carousel {
      .owl-item {
        margin: 0;

        &.active {
          margin: 0px -2px -2px -2px;
          width: calc(100vw + 4px) !important;
        }
      }
    }
  }
}

.cern-component-header-blocks {

  *,
  *::after,
  *::before {
    box-sizing: border-box;
  }

  &.component-header {
    height: 100vh;
    width: 100%;
    position: relative;
  }

  .component-header__carousel {
    @extend %clearfix;
    height: 100%;
    width: 100%;
    font-family: 'sourcesans-regular';
    position: relative;

    .owl-stage-outer {
      height: 100%;
      width: 100%;
    }

    .owl-stage {
      height: 100%;
      width: 100%;
    }

    .owl-item {
      position: relative;
      height: 100%;
      width: 100%;
      @include opacity(0);

      &.active {
        @include opacity(1);
      }
    }

    .header-block {
      min-height: 100%;
      min-width: 100%;

      &__veil {
        min-height: 100%;
        position: absolute;
        z-index: 0;
        min-width: 100%;
        background-color: rgba(13, 13, 13, 0.5);
        z-index: 0;
      }

      .background__image,
      .background__cds_media {
        position: absolute;
        min-height: 100%;
        min-width: 100%;

        figure.cds-image img {
          position: absolute !important;
        }
      }

      &__video {
        min-height: 100%;
      }

      &__title {
        position: absolute;
        z-index: 10; //
        // max-width: 80%;
        padding: 0 10%;
        right: 0;
        left: 0;
        margin: 120px auto 0;
        color: white;

        @media only screen and (max-width: 991px) and (min-width: 768px) {
          margin: 180px auto 0;
        }

        h3.header-block__name {
          font-family: opensans-bold;
          font-weight: 500;
          font-size: 39px;
          line-height: 1;
          margin: 0 0 50px;
          position: relative;
          text-align: center;

          a {
            position: relative;

            &:after {
              @include transition(all 0.3s ease-in-out 0s);
              content: "";
              display: block;
              height: 2px;
              position: absolute;
              width: 0px;
              left: 0;
              margin: auto;
              bottom: -10px;
            }

            &:hover:after {
              width: 100%;
            }
          }

          &__underline {
            content: "";
            display: block;
            height: 2px;
            position: absolute;
            width: 135px;
            right: 0;
            left: 0;
            margin: auto;
            bottom: -23px;
          }
        }

        @media only screen and (max-width: 991px) {
          h3.header-block__name {
            font-size: calc(100vh / 20);
            margin-bottom: calc(100vh / 20);
          }
        }
      }

      &__subhead {
        color: white; // text-align: center;

        hr {
          width: 135px;
          border-top-width: 2px;
        }

        @media only screen and (max-width: 991px) {
          p {
            margin: 0 0 5px;
          }

          h1,
          h2,
          h3 {
            font-size: calc(100vh / 20) !important;
          }
        }
      }

      ol.breadcrumb {
        text-align: center;
        background: transparent;

        li {
          &:not(:first-child):before {
            content: '\6a';
            font-family: "cern-icons";
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            position: relative;
            top: 5px;
            font-size: 1.3em;
            padding: 0;
          }

          a {
            &:hover {
              text-decoration: none;
            }
          }
        }

        * {
          color: inherit;

          &:before {
            color: inherit;
          }
        }
      }

      b.highlight {
        background: #0855a0;
      }
    }

    .owl-dots {
      position: absolute;
      left: 10%;
      bottom: 25px;

      .owl-dot {
        @include border-radius(50%);
        height: 18px;
        margin: 0 10px;
        width: 18px;
        position: relative;
        top: 2px;

        span {
          @include border-radius(50%);
          @include opacity(1);
          height: 8px;
          margin: 3px auto 0;
          padding: 0;
          width: 8px;
        }

        &.active,
        &:hover {
          border: 2px solid;
          top: 0;
        }
      }
    }
  }

  .component-header__scroll {
    display: block;
    position: absolute;
    right: 0;
    left: 0;
    margin: auto;
    bottom: 30px;
  }
}

// min height with toolbars
body {
  &.has-header {
    &.toolbar-fixed {

      // 39px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 39px);
        }
      }
    }

    &.toolbar-fixed.toolbar-vertical {

      // 39px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 39px);
        }
      }
    }

    &.toolbar-fixed:not(.toolbar-vertical).toolbar-tray-open {

      // 78px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 78px);
        }
      }
    }

    &.cern-toolbar {

      // 40px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 40px);
        }
      }
    }

    &.cern-toolbar.toolbar-vertical {
      @media only screen and (max-width: 767px) {

        // 79px
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 79px);
          }
        }
      }
    }

    &.cern-toolbar.toolbar-fixed {

      // 79px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 79px);
        }
      }
    }

    &.cern-toolbar.toolbar-fixed.toolbar-vertical {

      // 79px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 79px);
        }
      }
    }

    &.cern-toolbar:not(.toolbar-vertical).toolbar-tray-open {

      // 118px
      .cern-component-header-blocks {
        &.component-header {
          height: calc(100vh - 118px);
        }
      }
    }
  }
}

// min height if is_full_height
body {
  &.has-header {
    &.toolbar-fixed {

      // 39px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 39px);
          }
        }
      }
    }

    &.toolbar-fixed.toolbar-vertical {

      // 39px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 39px);
          }
        }
      }
    }

    &.toolbar-fixed:not(.toolbar-vertical).toolbar-tray-open {

      // 78px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 78px);
          }
        }
      }
    }

    &.cern-toolbar {

      // 40px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 40px);
          }
        }
      }
    }

    &.cern-toolbar.toolbar-vertical {
      @media only screen and (max-width: 767px) {

        // 79px
        .is_full_height {
          .cern-component-header-blocks {
            &.component-header {
              height: calc(100vh - 79px);
            }
          }
        }
      }
    }

    &.cern-toolbar.toolbar-fixed {

      // 79px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 79px);
          }
        }
      }
    }

    &.cern-toolbar.toolbar-fixed.toolbar-vertical {

      // 79px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 79px);
          }
        }
      }
    }

    &.cern-toolbar:not(.toolbar-vertical).toolbar-tray-open {

      // 118px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 118px);
          }
        }
      }
    }

    &.no-admin-toolbar {

      // 39px
      .is_full_height {
        .cern-component-header-blocks {
          &.component-header {
            height: calc(100vh - 39px) !important;
          }
        }
      }
    }
  }
}

// min height if is_half_height
body {

  //&.has-header {
  &.toolbar-fixed {

    // 39px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 39px);
          height: calc((100vh - 39px) / 2);
          min-height: calc((100vh - 39px) / 2);
        }
      }
    }
  }

  &.toolbar-fixed.toolbar-vertical {

    // 39px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 39px);
          height: calc((100vh - 39px) / 2);
          min-height: calc((100vh - 39px) / 2);
        }
      }
    }
  }

  &.toolbar-fixed:not(.toolbar-vertical).toolbar-tray-open {

    // 78px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 78px);
          height: calc((100vh - 78px) / 2);
          min-height: calc((100vh - 78px) / 2);
        }
      }
    }
  }

  &.cern-toolbar {

    // 40px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 40px);
          height: calc((100vh - 40px) / 2);
          min-height: calc((100vh - 40px) / 2);
        }
      }
    }
  }

  &.cern-toolbar.toolbar-vertical {
    @media only screen and (max-width: 767px) {

      // 79px
      .is_half_height {
        .cern-component-header-blocks {
          &.component-header {
            //height: calc(50vh - 79px);
            height: calc((100vh - 79px) / 2);
            min-height: calc((100vh - 79px) / 2);
          }
        }
      }
    }
  }

  &.cern-toolbar.toolbar-fixed {

    // 79px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 79px);
          height: calc((100vh - 79px) / 2);
          min-height: calc((100vh - 79px) / 2);
        }
      }
    }
  }

  &.cern-toolbar.toolbar-fixed.toolbar-vertical {

    // 79px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 79px);
          height: calc((100vh - 79px) / 2);
          min-height: calc((100vh - 79px) / 2);
        }
      }
    }
  }

  &.cern-toolbar:not(.toolbar-vertical).toolbar-tray-open {

    // 118px
    .is_half_height {
      .cern-component-header-blocks {
        &.component-header {
          //height: calc(50vh - 118px);
          height: calc((100vh - 118px) / 2);
          min-height: calc((100vh - 118px) / 2);
        }
      }
    }
  }

  // }
}

@media only screen and (max-width: 991px) and (min-width: 767px) {
  .cern-component-header-blocks {
    position: relative;

    .component-header__carousel {
      .header-block {
        &__title {
          //margin: 170px auto 0;
        }
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .cern-component-header-blocks {
    position: relative;

    .component-header__carousel {
      .header-block {
        &__title {
          margin: 85px auto 0;
          padding: 0 5%;
        }

        &__name {
          @include font-size(4.0);
        }

        &__subhead {
          line-height: 1.2;
          font-size: 14px;
        }
      }

      .owl-controls,
      .owl-dots {
        position: absolute;
        left: 5px;
        bottom: 25px;
        right: 0;
        margin: auto;
        text-align: left;

        .owl-page,
        .owl-dot {
          height: 25px;
          margin: 0 2px;
          width: 25px;
          top: 0;

          span {
            height: 17px;
            width: 17px;
          }

          &.active,
          &:hover {
            top: -1px;
            border: 1px solid;
          }
        }
      }
    }

    .component-header__scroll {
      transform: scale(0.7, 0.7);
    }
  }
}

@media screen and (max-width: 479px) {
  .cern-component-header-blocks {
    .component-header__carousel {
      .owl-dots {
        bottom: 45px;
      }
    }
  }

  .component-header__scroll {
    display: none;
  }

  /* dots on half-height header */
  .is_half_height {
    .cern-component-header-blocks {
      .component-header__carousel {
        .owl-dots {
          bottom: 25px;
        }
      }
    }
  }
}

@media screen and (max-height: 360px) {
  .cern-component-header-blocks {
    .component-header__scroll {
      display: none;
    }
  }
}

.header-block {
  color: transparent;

  .header-block__title {
    color: white;
  }
}
